API ReferenceSubscriptions
Get Subscription
GET /api/subscriptions/{id} — Get a specific subscription by ID.
Get a specific subscription by ID.
Authorization
apiKey AuthorizationBearer <token>
API key authentication for programmatic access. Include your key in the
Authorization header:
Authorization: Bearer bag_live_sk_a1b2c3d4e5f6...Keys are prefixed with bag_live_sk_ (production) or bag_test_sk_
(sandbox). Generate keys from the Bag Dashboard.
In: header
Path Parameters
id*string
Subscription UUID.
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://getbags.app/api/subscriptions/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"status": "success",
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"status": "trialing",
"network": "string",
"billingModel": "string",
"customerWalletAddress": "string",
"customerEmail": "user@example.com",
"currentPeriodStart": "2019-08-24T14:15:22Z",
"currentPeriodEnd": "2019-08-24T14:15:22Z",
"cancelAtPeriodEnd": true,
"productName": "string",
"amount": 0,
"billingInterval": "string",
"mode": "live",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
}{
"status": "error",
"message": "Invalid or revoked API key",
"code": "UNAUTHORIZED",
"hint": "Include a valid API key in the Authorization header: Bearer bag_live_sk_..."
}{
"status": "error",
"message": "Not found",
"code": "NOT_FOUND"
}